function MC.create_buy_recipe(name, cost)

	data:extend({
		{
			type = "recipe",
			name = "mc-buy-" .. name,
			category = "crafting",
			enabled = true,
			energy_required = 0.5,
			ingredients = {{"m-coin", cost}},
			result = name,
			result_count = 1,
		},
	})

end
function MC.get_coin_cost(recipe_name, costs, list)
	if costs[recipe_name] then
		list[recipe_name] = nil
		return costs, list
	end
	local cost = 0
	for _, ing in pairs(list[recipe_name]) do
		local ing_name = ing.name or ing[1]
		local ing_amount = ing.amount or ing[2]
		local ing_type = ing.type or "item"
		log(recipe_name .. " ingredient: " .. ing_name)
		if costs[ing_name] then
			cost = cost + costs[ing_name]
		elseif list[ing_name] then
			costs, list = MC.get_coin_cost(ing_name, costs, list)
		elseif not list[ing_name] then
			list[recipe_name] = nil
		end
	end
	if cost == 0 then
		list[recipe_name] = nil
	else
		log(recipe_name .. " = " .. cost)
		costs[recipe_name] = cost
	end
	return costs, list
end
function MC.recipe_blacklist(str)
	local regex_blacklist = {
		"^fill.+barrel$",
		"^empty..+barrel$",
		"^mc.buy"
	}
	local match_bool = nil
	for _, rgx in ipairs(regex_blacklist) do
		match_bool = match_bool or str:find(rgx)
	end
	if match_bool then
		return true
	else
		return false
	end
end